use strict;
use warnings;

package RTx::Authen::Launchpad::Utils;

sub uniquify {
    my @uniq = ();
    my %seen = ();
    foreach my $item (@_) {
        push(@uniq, $item) unless $seen{$item}++;
    }
    return @uniq;
}

sub trim {
    my $string = $_;
    $string =~ s/^\s+//;
    $string =~ s/\s+$//;
    $string;
}

1;
